Subject: RE: [Sipping] RE: calling number blocking at sip/isup gateway

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Thu, 7 Feb 2002 15:58:09 -0000

If mapping of the restriction is not supported, then the owner of the i/w
unit has to take a decision on whether to map the identity, and ignore the
restriction indicator, to to refuse to map the identity if the restriction
indicator indicates restricted. In general in European public networks, the
decision would be to restrict the identity at the interworking point. In
private networks, the decision may well be different.

In my view, these principles are well established.

Note that one significant private network signalling protocol (DPNSS) did
not support a restriction indicator in its earlier versions. It only
invented one when it needed to interwork with DSS1.

Keith

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked]

> ----------
> From: 	Peterson, Jon[SMTP:[email-masked]]
> Sent: 	06 February 2002 6:20
> To: 	'Juha Heinanen'; Jonathan Rosenberg
> Cc: 	Tom-PT Taylor; [email-masked]'; [email-masked]
> Subject: 	RE: [Sipping] RE:  calling number blocking at sip/isup
> gateway
> 
> 
> There has been a lot of misleading talk in this thread that half-suggests
> that support for presentation restriction in SIP is necessary if you want
> to
> interwork with the PSTN.  I find it hard to believe that there is any
> existing national network which requires that every communications
> protocol
> interworking with the PSTN has a feature by which callers can express that
> their preference not to reveal their name and telephone number to those
> they
> call. I know of some legacy protocols that interwork with the PSTN
> worldwide
> today that lack this feature. I also think this would be a very difficult
> rule to enforce - if a gateway creates properly formed presentation
> indicators, I doubt these would be subjected to any scrutiny. Because I
> don't think this is a requirement for PSTN interworking, I do not think it
> is an absolute dependency in the SIP-ISUP mapping work. We therefore don't
> include any mapping in the SIP-ISUP draft, although we do say that
> SIP-ISUP
> implementations can make use of any general SIP privacy mechanism.
> 
> All that said, I feel strongly that we should have a way to implement a
> presentation restriction feature in SIP. However, if there isn't a general
> presentation restriction feature in SIP, that doesn't in any way prevent
> us
> from interworking with the PSTN. If such a general mechanism were defined,
> then by all means we can determine how to to map it to the SS7
> presentation
> restriction mechanism (easily, no doubt). Note that at least one draft
> (the
> early media mechanism) describes the SIP-ISUP mapping relevant to its own
> mechanism - at least partially because we didn't want the SIP-ISUP draft
> to
> have a dependency on SIP extensions defined in other drafts.
> 
> I guess that although some people may be happy with the DCS sip-privacy
> mechanism, I'm not sure that it really has general applicability. I
> currently don't think we need to describe a mapping to this mechanism in
> the
> SIP-ISUP draft.
> 
> Jon Peterson
> NeuStar, Inc.
> 
> > -----Original Message-----
> > From: Juha Heinanen [mailto:[email-masked]]
> > Sent: Wednesday, January 30, 2002 12:28 AM
> > To: Jonathan Rosenberg
> > Cc: Tom-PT Taylor; [email-masked]'; [email-masked]
> > Subject: Re: [Sipping] RE: calling number blocking at sip/isup gateway
> > 
> > 
> > Jonathan Rosenberg writes:
> > 
> >  > Well, we have a documented way for that in the privacy 
> > spec right now,
> >  > which is for the proxy to insert the RPID-Privacy header indicating
> >  > calling party, with any kind of privacy, and type of subscriber. 
> > 
> > yes, and i'm prefectly happy with it.  the problem is that 
> > the sip-isup
> > i-d doesn't say a word about it and it is that document that 
> > the ss7/sip
> > gw vendors will read.
> > 
> > -- juha
> > 
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> > 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Mark Watson"<[email-masked]>
Date: Mon, 18 Feb 2002 20:23:09 -0000

All,

OK, so I'm a little bit behind (I have a good excuse!). I don't want to
prolong this thread unnecessarily, and I don't see any reason to hold up the
IETF SIP/ISUP drafts, but there are a couple of points worth making:

1) As to whether a 'restricted' indicator is *required* for PSTN
interworking, yes there are protocols which interwork with the PSTN which do
not support such an indication (e.g. DTMF signalling over an analogue loop),
but at least in Europe, these have been kludged by defining prefix digit
strings.

You can get away with defaulting to 'restricted' if you don't know the users
wishes, but not for very long: (i) users get unhappy about having no way
around Anonymous Caller Rejection (ii) regulators will not be impressed that
the feted new SIP domain doesn't support something they presently take for
granted in the PSTN.

Some PSTN networks support a 'restricted by network' indication which
prevents display of the number, but does not imply that the user asked for
the restriction, meaning that ACR should not reject the call.

That the user should not need to reveal their identity to the called party
is a fundamental requirement stemming from Data Protection legislation (at
least in Europe).

That the users identity will nevertheless need to be passed between Service
Providers seems to me obvious.

So, I think this *is* a requirement at least in the medium term. You will
only suceed in pursuading regulators to ignore this whilst SIP is in its
infancy.

2) We are hoping to take this into account in the ongoing ITU-T
SIP/ISUP/SIP-T work, which will result in an ITU-T Recommendation. For this
we would need IETF to define something in SIP - right now Remote-Party-ID
looks sufficient. The IETF SIP/ISUP work (on which the ITU-T stuff is based)
is only Informative, so I would expect gateway vendors to look to the ITU-T
work when it is done.

...Mark

> Sent: 07 February 2002 19:26
> To: Peterson, Jon
> Cc: Jonathan Rosenberg; Taylor, Tom-PT [CAR:B800:EXCH];
> [email-masked]'; [email-masked]
> Subject: RE: [Sipping] RE: calling number blocking at sip/isup gateway
> 
> 
> Peterson, Jon writes:
> 
>  > I'll reiterate - the purpose of the SIP-ISUP mapping project (known
>  > collectively as SIP-T) is not to add new features to SIP - 
> it's to describe
>  > how SIP and SS7, without any modifications on either side, can be
>  > interworked.
> 
> in that case, it might be fair to list in the i-d its applicability,
> i.e., which ss7 capabilities are not supported by this i-d.
> 
>  > Anyway, the real problem is the want of a general privacy 
> mechanism in SIP -
>  > this really isn't draft-ietf-sipping-isup-00's problem. If 
> there weren't
>  > even an existing proposal for a presentation restriction 
> mechanism, would
>  > you still insist that the SIP-ISUP mapping draft should 
> block until someone
>  > proposes this feature for SIP?
> 
> no, it would be ok to go forward as long as the things that can't be
> mapped are listed.
> 
> -- juha
> 
>

---

From: "Mark Watson"<[email-masked]>
Date: Mon, 18 Feb 2002 20:23:01 -0000

Christian,

Data Protection legislation is not technology-specific or tied to licencing.
If you do operation X with the Personal Data of an individual, and X falls
within the scope of Data Protection, it does not matter whether you do this
in the phone network, the Internet or on a beach in Bali, you are subject to
the same rules.

Now, in Europe, and perhaps elsewhere, our legislators have tried to be
helpful by describing in detail the effect of these principles in certain
sectors of industry - for example in the European Data Protection in
Telecommunications Directive (97/66/EC:
http://europa.eu.int/eur-lex/en/lif/dat/1997/en_397L0066.html).

The applicability of such statements to services offered over the Internet
can be debated but this does not affect the requirement to uphold the
principles enshrined in the primary Data Protection legisation. If you want
to get privacy right, you need to understand these.

Of course, what information two end-users do/don't exchange is entirely
their own business, but where  third parties (dare I say 'Service
Providers') are involved they have certain obligations with respect to
personal data of the end users.

The situation may arise where the third party requires certain information
from the end user in order to provide a certain service, but where that
information does not need to be passed on to other end users in order for
the service to operate sucessfully. In this case the end user has the right
to prevent their personal information being so transferred, and the Service
Provider needs the ability to ensure this, whilst also being able to safely
pass the information to other Service Providers to whom they may
'sub-contract' provision of aspects of the service.

The above is completely technology neutral.

...Mark

> From: Christian Huitema [mailto:[email-masked]]
> Sent: 25 January 2002 17:07
> To: Watson, Mark [MDN05:EP10:EXCH]; Juha Heinanen; Dean Willis
> Cc: [email-masked]
> Subject: RE: [Sipping] calling number blocking at sip/isup gateway
> 
> 
> Judging me naïve, Mark Watson wrote:
> 
> > I have to say I am amazed too. But by the idea that the privacy 
> > regulations we see in the PSTN/ISDN may not apply in the 
> SIP world. These 
> > stem from technology-neutral Data Protection legislation 
> which applies as > much to SIP as to ISUP or TUP.
> 
> In fact, Mark's message contains a number of hidden 
> assumptions that are well worth debunking.
> 
> A first assumption is that there is a "SIP world". With all 
> due respect to this working group, this is by no means 
> obvious. SIP is an Internet protocol that, in its simplest 
> form, can be used directly between two Internet hosts, 
> providing host names are registered in the DNS. The world 
> there is the Internet, not SIP.
> 
> A second assumption is that the technology neutral doctrine 
> applies, i.e. if I perform operation X over the Internet, 
> then surely I am subject to the same rules as if I performed 
> operation X over the telephone network. There are two 
> problems with that rule, the fact that technology actually 
> matters to legislation, and then the fact that that the 
> regulation is generally tied to some form of public 
> licensing, which actually varies with the technology.
> 
> If you thing that technology does not apply, then please 
> consider the different regulations of postal services, 
> telephony, broadcast TV, cable TV, press, and book 
> publishing. SIP is in some aspects close to ISUP, since you 
> can indeed gateway a phone call to the Internet using SIP; 
> SIP is also in many ways closely related to e-mail, since a 
> SIP header is pretty darn close to a mail header. Which 
> regulation should we apply? That of telephone companies that 
> are requested to provide law enforcement with facilities such 
> as pen register or intercept, or that of postal services that 
> definitely do not keep track of who sends mail to whom, and 
> in which intercept is only practiced by dictatorships or 
> war-time exceptions?
> 
> The laws regulating phone services are aimed at telephone 
> service providers, not users. They do not apply, for example, 
> to citizen band radios or private phone services. Assuming 
> that the same laws apply is also assuming that the same 
> structure applies, i.e. that the SIP calls are only possible 
> through some kind of "SIP service" that would be provided by 
> modern days equivalent of phone companies. This is not the 
> way the Internet is organized today: SIP or VoIP packets are 
> just some packets among many that are facilitated by the 
> packet level service provided by an ISP. If a regulation 
> targeted the third party, then it could indeed target those 
> ASP that specifically set up to organize SIP proxies, but it 
> would also have to target the generic ISPs that just carry IP 
> traffic. This is going to be an interesting debate.
> 
> If we want to make anonymous SIP calls today, we must either 
> use an "anonymizer" service, or use UA and network tricks. 
> The cypherpunk and anon.fi experience leaves me quite 
> skeptical with anonymizer relays: they tend to be abuse, or 
> to become a magnet for law enforcement. If we really want 
> anonymity, we should start at the UA, and allow it to make up 
> some form of phony "From" line. We must also make sure that 
> we use an anonymous IP address, possibly using the privacy 
> extensions to IPv6.
> 
> -- Christian Huitema
>